#/function terra_chapter2:encounters/wither_skeleton_twins/start
#Created by Mithey

#Move player to correct location in adventure mode
gamemode adventure @a
data merge block 49 4 2 {Command:"tp @a[tag=TeleportAndSpawn] 3061 59 3077 0 0"}
data merge block 50 4 2 {Command:"spawnpoint @a[tag=TeleportAndSpawn] 3061 59 3077 0"}
tp @a 3061 59 3077 0 0
spawnpoint @a 3061 59 3077 0
function terra_system:on_spawn_change
#function terra_system:on_area_change

#Clear entities
execute as @e[tag=EntityNatural] at @s run tp @s ~ ~-500 ~
kill @e[tag=EntityNatural]

#Disable natural mob spawning temporarily
function terra_system:entities/natural_mob_spawning_disable

#Title
title @a times 20 60 60
title @a subtitle {"translate":"","extra":[{"translate":"terra.chapter2.encounter.wither_skeleton_twins_subtitle","italic":true}]}
title @a title {"translate":"","extra":[{"translate":"terra.chapter2.encounter.wither_skeleton_twins_title","color":"red"}]}

#Summon in entities
scoreboard players set WitherSkeletonID Temp 1
execute positioned 3061 59 3094 run function terra_chapter2:entities/custom/wither_skeleton/spawn
scoreboard players set WitherSkeletonID Temp 2
execute positioned 3061 74 3087 run function terra_chapter2:entities/custom/wither_skeleton/spawn
data merge entity @e[tag=chapter2_BossWitherSkeleton2,limit=1,sort=nearest] {NoAI:1}
tag @e[tag=chapter2_BossWitherSkeleton2,limit=1] add Inactive

#Objective boss bar
bossbar set minecraft:200 name "Boss Health"
bossbar set minecraft:200 color pink
execute store result bossbar minecraft:200 value run scoreboard players get @e[tag=chapter2_BossWitherSkeleton1,limit=1] EntityHpCurr
execute store result bossbar minecraft:200 max run scoreboard players get @e[tag=chapter2_BossWitherSkeleton1,limit=1] EntityHpCurr
bossbar set minecraft:200 style notched_10
bossbar set minecraft:200 visible true
bossbar set minecraft:201 name "Boss Health"
bossbar set minecraft:201 color pink
execute store result bossbar minecraft:201 value run scoreboard players get @e[tag=chapter2_BossWitherSkeleton2,limit=1] EntityHpCurr
execute store result bossbar minecraft:201 max run scoreboard players get @e[tag=chapter2_BossWitherSkeleton2,limit=1] EntityHpCurr
bossbar set minecraft:201 style notched_10
bossbar set minecraft:201 visible true

#Playsound
execute as @a at @s run playsound minecraft:entity.wither.spawn hostile @s ~ ~ ~ 30 0.8

#Music
function terra_system:music/set_song/guardian

#Close gates
#Note: Don't do replace air here
fill 3060 61 3075 3062 59 3075 minecraft:spruce_fence

#Objectives
scoreboard objectives add EncounterTime dummy
scoreboard objectives add EncounterDeath minecraft.custom:minecraft.deaths
scoreboard players set TerraRestore InEncounter 1
scoreboard objectives add BossHealth dummy
scoreboard objectives add BossHealth2 dummy
scoreboard objectives add BossPhase dummy
scoreboard players set TerraRestore BossPhase 1
scoreboard objectives add AmountOfTNT dummy
scoreboard objectives add SkeletonSpawn dummy

#Heal player
execute as @a at @s run function terra_system:health/reset_health
execute as @a at @s run function terra_system:potions/refill_potion

#Start encounter clock
data merge block ~ ~ ~ {Command:"function terra_chapter2:encounters/wither_skeleton_twins/clock"}





