#/function terra_chapter3:encounters/stray/end
#Created by Mithey

#Kill entities
execute as @e[tag=EntityNatural] at @s run tp @s ~ ~-500 ~
kill @e[tag=EntityNatural]
execute as @e[tag=chapter3_BossStray] at @s run tp @s ~ ~-500 ~
kill @e[tag=chapter3_BossStray]
execute as @e[tag=EntityBoss] at @s run tp @s ~ ~-500 ~
kill @e[tag=EntityBoss]

#Hide boss bars
bossbar set minecraft:200 visible false
bossbar set minecraft:201 visible false
bossbar set minecraft:202 visible false

#Enable natural mob spawning
function terra_system:entities/natural_mob_spawning_enable

#Restore platform
setblock 4139 153 4039 minecraft:structure_block{posX:0,posY:0,posZ:0,mode:"LOAD",integrity:1.0f,name:"minecraft:boss_stray_platform1",ignoreEntities:1b}
setblock 4139 154 4039 minecraft:redstone_block
setblock 4139 154 4039 minecraft:air

#Ensure death is processed
execute as @a[scores={Death=1..}] at @s run function terra_chapter3:on_death

#Turn off clock
setblock ~-1 ~ ~ minecraft:lapis_block
data merge block ~ ~ ~ {Command:"function terra_chapter3:encounters/stray/attempt_start"}

#Heal player
execute as @a at @s run function terra_system:health/reset_health
execute as @a at @s run function terra_system:potions/refill_potion

#Run won/lost stuff
execute if score WonEncounter Temp matches 0 run function terra_chapter3:encounters/stray/end_lost
execute if score WonEncounter Temp matches 1 run function terra_chapter3:encounters/stray/end_won

#Remove objectives
scoreboard objectives remove EncounterTime
scoreboard objectives remove EncounterDeath
scoreboard players set TerraRestore InEncounter 0
scoreboard players reset WonEncounter Temp
scoreboard players reset Encounter Clock
scoreboard objectives remove BossSkelAdds
scoreboard objectives remove BossIcicles
scoreboard objectives remove BossFling
scoreboard objectives remove BossIcePlat

#Unload chunks
execute positioned 4143 154 4050 run forceload remove ~-80 ~-80 ~80 ~80








