#/function terra_system:items/head/blank
#Created by Mithey

#PARAMETERS:
#DontDisplayMessage Temp - Don't display equip message
#DontMakeSound Temp - Don't make sound on equipping

#Head ID
scoreboard players set @s IDHead 0

execute unless score DontDisplayMessage Temp matches 1 run title @s actionbar {"translate":"","extra":[{"translate":"["},{"translate":"","color":"white","bold":true},{"translate":"] "},{"translate":"terra.items.equipped"}]}
execute unless score DontMakeSound Temp matches 1 run playsound minecraft:item.armor.equip_diamond player @a

#Set attributes
function terra_system:stats/reset_stats_head
scoreboard players set @s HealthHead 0
scoreboard players set @s SpiritHead 0
scoreboard players set @s StamHead 0
scoreboard players set @s OffenseHead 0
scoreboard players set @s DefenseHead 0
execute unless score DontDisplayMessage Temp matches 1 run function terra_system:stats/calculate_stats
execute if score DontDisplayMessage Temp matches 1 run function terra_system:stats/calculate_stats_no_message

#Equip armor
replaceitem entity @s armor.head minecraft:diamond_helmet{Unbreakable:1,HideFlags:7,display:{Name:'{"translate":""}'},Enchantments:[{id:"minecraft:binding_curse",lvl:1s}],AttributeModifiers:[{Slot:"head",AttributeName:"generic.max_health",Amount:180,Operation:0,Name:"generic.max_health",UUID:[I;-752943972,-2127935966,-2085248541,-1210709899]}]}

#Clean up
scoreboard players reset DontDisplayMessage Temp
scoreboard players reset DontMakeSound Temp