#/function terra_chapter1:cutscene/weapon_scene/1_clock
#Created by Mithey

scoreboard players add Scene Clock 1

#Move all cameras
#2131 56 2051.0 -90 15 ---> 2121 56 2051.0 -90 35
execute if score Scene Clock matches 1..200 run execute as @e[tag=SceneCamera] at @s run tp @s ~-0.05 ~0 ~0 ~0 ~0.1

#Move cameras 2-3 to the left/right of camera 1
execute as @e[tag=SceneCamera2] at @e[tag=SceneCamera1] run tp @s ^1.0 ^ ^ ~ ~
execute as @e[tag=SceneCamera3] at @e[tag=SceneCamera1] run tp @s ^-1.0 ^ ^ ~ ~

#Teleport players to their cameras
scoreboard players add SceneSkipTeleport Clock 1
execute unless score SceneSkipTeleport Clock matches 20.. run execute as @e[tag=SceneCamera1] at @s run tp @a[scores={PlayerID=1}] ~ ~ ~ ~ ~
execute unless score SceneSkipTeleport Clock matches 20.. run execute as @e[tag=SceneCamera2] at @s run tp @a[scores={PlayerID=2}] ~ ~ ~ ~ ~
execute unless score SceneSkipTeleport Clock matches 20.. run execute as @e[tag=SceneCamera3] at @s run tp @a[scores={PlayerID=3..}] ~ ~ ~ ~ ~
execute if score SceneSkipTeleport Clock matches 20.. run scoreboard players set SceneSkipTeleport Clock 0





#Activate skeletons
execute if score Scene Clock matches 21 run execute as @e[tag=chapter1_CutsceneAlertedSkeleton] at @s run function terra_system:detection/pull_enemy
#Keep NoAI set on skeletons for now
execute if score Scene Clock matches 21 run execute as @e[tag=chapter1_CutsceneAlertedSkeleton] at @s run data merge entity @s {NoAI:1}

#Move skeletons
#-2X
execute if score Scene Clock matches 21..40 run execute as @e[tag=chapter1_CutsceneAlertedSkeleton] at @s run tp @s ~-0.1 ~ ~
execute if score Scene Clock matches 41 run execute as @e[tag=chapter1_CutsceneAlertedSkeleton] at @s run tp @s ~ ~ ~ 90 55

#Activate rope ladder
execute if score Scene Clock matches 56 run execute as @e[tag=EntityRopeLadderStack,x=2135,y=56,z=2051,distance=..10,limit=2,sort=nearest] at @s run function terra_system:objects/rope_ladder/start

#Move skeletons
#-1X
execute if score Scene Clock matches 81..90 run execute as @e[tag=chapter1_CutsceneAlertedSkeleton] at @s run tp @s ~-0.1 ~ ~ 90 55
#-6Y
execute if score Scene Clock matches 86..145 run execute as @e[tag=chapter1_CutsceneAlertedSkeleton] at @s run tp @s ~ ~-0.1 ~ 90 55
#-3X
execute if score Scene Clock matches 141..170 run execute as @e[tag=chapter1_CutsceneAlertedSkeleton] at @s run tp @s ~-0.1 ~ ~ 90 0

#"Oh no, a bone to pick with"
execute if score Scene Clock matches 101 run title @a times 20 80 20
execute if score Scene Clock matches 101 run title @a title {"translate":""}
execute if score Scene Clock matches 101 run title @a subtitle {"translate":"terra.chapter1.cutscene.weapon_scene1","color":"red"}
execute if score Scene Clock matches 101 run tellraw @a {"translate":"terra.chapter1.cutscene.weapon_scene1","color":"red"}





#End current scene
execute if score Scene Clock matches 200.. run data merge block ~ ~ ~ {Command:"function terra_chapter1:cutscene/weapon_scene/1_end_attempt"}














