#/function terra_chapter1:entities/custom/creeper/set_properties
#Created by Mithey

#Parameters:
#Detection Temp = 1 to set detection low, 2 normal, 3 high

#Set tags
tag @s add EntityCustom
tag @s add EntityNatural
tag @s add EntityKillable
tag @s add FactionEnemy
tag @s add Function
tag @s add FunctionAbility
tag @s add SpawnedThisTick
tag @s add chapter1_Creeper

#Random init ability time
scoreboard players set RNGRange Temp 20
function terra_system:misc/generate_random_number
scoreboard players operation @s Ability = RNG Temp
scoreboard players reset RNG Temp

#Properties
data merge entity @s {ArmorItems:[{},{},{},{}],HandItems:[{},{}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],DeathLootTable:"empty"}

#Easy
execute if score TerraRestore Difficulty matches 1 run data merge entity @s {Attributes:[{Name:generic.follow_range,Base:20},{Name:generic.knockback_resistance,Base:0},{Name:generic.movement_speed,Base:0.275},{Name:generic.attack_damage,Base:1},{Name:generic.armor,Base:0},{Name:generic.armor_toughness,Base:0},{Name:generic.max_health,Base:1024}],Health:1024f,AbsorptionAmount:1024f}
execute if score TerraRestore Difficulty matches 1 run scoreboard players set @s EntityHpMax 500

#Normal
execute if score TerraRestore Difficulty matches 2 run data merge entity @s {Attributes:[{Name:generic.follow_range,Base:20},{Name:generic.knockback_resistance,Base:0},{Name:generic.movement_speed,Base:0.36},{Name:generic.attack_damage,Base:2},{Name:generic.armor,Base:0},{Name:generic.armor_toughness,Base:0},{Name:generic.max_health,Base:1024}],Health:1024f,AbsorptionAmount:1024f}
execute if score TerraRestore Difficulty matches 2 run scoreboard players set @s EntityHpMax 1000

#Hard
execute if score TerraRestore Difficulty matches 3 run data merge entity @s {Attributes:[{Name:generic.follow_range,Base:20},{Name:generic.knockback_resistance,Base:0},{Name:generic.movement_speed,Base:0.485},{Name:generic.attack_damage,Base:3},{Name:generic.armor,Base:0},{Name:generic.armor_toughness,Base:0},{Name:generic.max_health,Base:1024}],Health:1024f,AbsorptionAmount:1024f}
execute if score TerraRestore Difficulty matches 3 run scoreboard players set @s EntityHpMax 1500

#Set health to 100%
scoreboard players operation @s EntityHpCurr = @s EntityHpMax

#Detection
execute if score Detection Temp matches 1.. run data merge entity @s {NoAI:1,PersistenceRequired:1,AbsorptionAmount:1024f}
execute if score Detection Temp matches 1.. run tag @s remove EntityNatural
execute if score Detection Temp matches 1.. run tag @s add Detection
execute if score Detection Temp matches 1 run tag @s add DetectionRangeLow
execute if score Detection Temp matches 2 run tag @s add DetectionRangeNormal
execute if score Detection Temp matches 3 run tag @s add DetectionRangeHigh

#Team hostile
tag @s add TeamHostile

#Generic modify entity stuff
function terra_system:on_modify_entity

#Add score to avoid this running again
scoreboard players set @s EntityModified 1

#Clean up
scoreboard players reset Detection Temp
tag @s remove TempNewSpawn









