#/function terra_chapter1:main_clock
#Created by Mithey

#Modify area entities
execute as @e unless score @s EntityModified matches 1 at @s run function terra_chapter1:entities/set_properties

#Right clicked object
execute as @a[scores={TalkedToVillager=1..}] at @s run function terra_chapter1:on_click_object

#Functions
execute as @e[tag=Function] at @s if entity @p[distance=..79] run function terra_chapter1:run_function

#On no absorption
execute as @e[tag=EntityKillable] at @s run execute unless entity @s[nbt={AbsorptionAmount:1024f}] run function terra_chapter1:entities/custom/on_damage_taken

#Death
execute as @a[scores={Death=1..}] at @s run function terra_chapter1:on_death

#Mined
execute as @a[scores={MinedCoal=1..}] at @s run function terra_chapter1:on_mined_coal
execute as @a[scores={MinedIron=1..}] at @s run function terra_chapter1:on_mined_iron
execute as @a[scores={MinedGold=1..}] at @s run function terra_chapter1:on_mined_gold
execute as @a[scores={MinedDiamond=1..}] at @s run function terra_chapter1:on_mined_diamond

#Natural mob spawning
execute if block 111 4 -48 minecraft:green_wool run function terra_chapter1:entities/custom/spawn_random_attempt

#Weapon scene
execute unless block 110 4 -30 minecraft:green_wool run execute if block 107 7 -32 minecraft:green_wool run function terra_chapter1:cutscene/weapon_scene/1_start_delay

#Nether bully scene
execute unless block 108 4 -30 minecraft:green_wool run execute if block 109 4 -30 minecraft:green_wool run setblock 32 6 38 minecraft:redstone_block

#Activate mines encounter
#unless block 109 4 -30 beat cave encounter
#if block 107 4 -30 cave encounter activated
execute unless block 109 4 -30 minecraft:green_wool run execute if block 107 4 -30 minecraft:green_wool run execute if entity @a[x=2180,y=75,z=1968,gamemode=adventure,distance=..28] run setblock 32 4 40 minecraft:redstone_block

#Area outro scene
execute if entity @a[x=2215,y=91,z=1932,distance=..5,gamemode=adventure] run execute unless block 106 4 -30 minecraft:green_wool run setblock 32 7 38 minecraft:redstone_block
execute if entity @a[x=2215,y=91,z=1932,distance=..35,gamemode=adventure] run execute unless block 106 4 -30 minecraft:green_wool run particle minecraft:happy_villager 2215 91 1932 2 2 2 0 1 force