#/function terra_chapter3:cutscene/area_outro/1_clock
#Created by Mithey

scoreboard players add Scene Clock 1

#Strider knocks stray off edge
execute if score Scene Clock matches 41..60 run execute as @e[tag=chapter3_Strider] at @s run tp @s ~-0.1 ~ ~ ~ ~
execute if score Scene Clock matches 51 run particle minecraft:sweep_attack 4141 155 4050 0.3 0.3 0.3 0 10 force
execute if score Scene Clock matches 51 run execute as @a at @s run playsound minecraft:entity.player.attack.sweep player @s ~ ~ ~ 10 0.5
execute if score Scene Clock matches 51 run execute as @e[tag=chapter3_Stray] at @s run data merge entity @s {Motion:[-2d,0.5d,1d],NoAI:0}
execute if score Scene Clock matches 91 run execute as @e[tag=chapter3_Strider] at @s run tp @s ~ ~ ~ -90 0
execute if score Scene Clock matches 101..160 run execute as @e[tag=chapter3_Strider] at @s run tp @s ~0.1 ~ ~
execute if score Scene Clock matches 151 run execute as @e[tag=chapter3_Stray] at @s run tp @s ~ ~-500 ~
execute if score Scene Clock matches 151 run execute as @e[tag=chapter3_Stray] at @s run kill @s

#Move camera
execute if score Scene Clock matches 161 run execute as @e[tag=SceneCamera] at @s run tp @s 4159 159 4046 -45 25
execute if score Scene Clock matches 1 run function terra_system:misc/camera_shake_start
execute if score Scene Clock matches 1..410 run execute as @e[tag=SceneCamera] at @s run function terra_system:misc/camera_shake_clock
execute if score Scene Clock matches 410 run function terra_system:misc/camera_shake_end

#Ice melts away
execute if score Scene Clock matches 201 run fill 4162 159 4049 4164 159 4051 minecraft:air
execute if score Scene Clock matches 201 run execute as @a at @s run playsound minecraft:block.fire.extinguish player @s ~ ~ ~ 10 1
execute if score Scene Clock matches 201 run particle minecraft:block ice 4163 159 4050 1 1 1 0 100 force
execute if score Scene Clock matches 231 run fill 4162 158 4049 4164 158 4051 minecraft:air
execute if score Scene Clock matches 231 run execute as @a at @s run playsound minecraft:block.fire.extinguish player @s ~ ~ ~ 10 1
execute if score Scene Clock matches 231 run particle minecraft:block ice 4163 159 4050 1 1 1 0 100 force
execute if score Scene Clock matches 261 run fill 4162 157 4049 4164 157 4051 minecraft:air
execute if score Scene Clock matches 261 run execute as @a at @s run playsound minecraft:block.fire.extinguish player @s ~ ~ ~ 10 1
execute if score Scene Clock matches 261 run particle minecraft:block ice 4163 159 4050 1 1 1 0 100 force
execute if score Scene Clock matches 271 run execute as @e[tag=chapter3_Snowfeather] at @s run function terra_system:animations/talk/start
execute if score Scene Clock matches 271 run execute as @e[tag=chapter3_Snowfeather] at @s run playsound minecraft:entity.villager.yes player @a ~ ~ ~ 10
execute if score Scene Clock matches 271 run execute as @e[tag=chapter3_Snowfeather] at @s run particle minecraft:happy_villager ~ ~1 ~ 1 1 1 0 100 force

#Move camera
execute if score Scene Clock matches 301 run execute as @e[tag=SceneCamera] at @s run tp @s 4147 155 4045 -55 0

#Strider moves towards ice
execute if score Scene Clock matches 301..350 run execute as @e[tag=chapter3_Strider] at @s run tp @s ~0.1 ~ ~
execute if score Scene Clock matches 350 run execute as @e[tag=chapter3_Strider] at @s run tp @s ~ ~ ~ facing entity @e[tag=chapter3_Snowfeather,limit=1,sort=nearest]
execute if score Scene Clock matches 350 run execute as @e[tag=chapter3_Snowfeather] at @s run tp @s ~ ~ ~ facing entity @e[tag=chapter3_Strider,limit=1,sort=nearest]

#Stider notices stray back
execute if score Scene Clock matches 381 run execute as @a at @s run playsound minecraft:entity.generic.explode player @s 4133 157 4050 10 0.5
execute if score Scene Clock matches 391 run execute as @e[tag=chapter3_Strider] at @s run tp @s ~ ~ ~ 90 -25
execute if score Scene Clock matches 391 run execute as @e[tag=chapter3_Strider] at @s run playsound minecraft:block.note_block.harp hostile @a ~ ~ ~ 1 2
execute if score Scene Clock matches 391 run execute as @e[tag=chapter3_Strider] at @s run summon area_effect_cloud ~ ~2.25 ~ {Duration:20,Passengers:[{id:item,Invulnerable:1,NoGravity:1,Age:5980,PickupDelay:32767,Item:{id:"minecraft:brick",Count:1b,tag:{CustomModelData:22}}}]}

#Move camera
#4147 155 4045 -55 0 -> 4147 155 4045 70 -20
execute if score Scene Clock matches 411..450 run execute as @e[tag=SceneCamera] at @s run tp @s ~0 ~0 ~0 ~3.125 ~-0.5

#Summon stray back with icicles appearing every second
execute if score Scene Clock matches 391 run summon minecraft:stray 4132 162 4050 {NoAI:1,Invulnerable:1,Rotation:[-90f,30f],ArmorItems:[{},{},{},{id:"minecraft:brick",Count:1b,tag:{CustomModelData:50}}],HandItems:[{id:"minecraft:stick",Count:1b}],Tags:["SceneActor","chapter3_Stray"]}
execute if score Scene Clock matches 391 run function terra_chapter3:cutscene/area_outro/summon_icicles

#Icicle clock
execute if score Scene Clock matches 481.. run execute as @e[tag=Scene_Icicle] at @s run function terra_chapter3:cutscene/area_outro/1_icicle_clock

#Summon extra icicles
execute if score Scene Clock matches 491..540 run execute as @e[tag=chapter3_Stray] at @s run scoreboard players add @s Clock 1
execute if score Scene Clock matches 491..540 run execute as @e[tag=chapter3_Stray] at @s run execute if score @s Clock matches 10.. run function terra_chapter3:cutscene/area_outro/summon_icicles
execute if score Scene Clock matches 491..540 run execute as @e[tag=chapter3_Stray] at @s run execute if score @s Clock matches 10.. run scoreboard players set @s Clock 0

#Move Snowfeather
execute if score Scene Clock matches 481 run execute as @e[tag=chapter3_Snowfeather] at @s run tp @s 4154 154 4050 90 -20

#Move camera
execute if score Scene Clock matches 521 run execute as @e[tag=SceneCamera] at @s run tp @s 4156 154 4047 60 -10

#Snowfeather shoots down every icicle and shoots stray away
execute if score Scene Clock matches 521 run execute as @e[tag=chapter3_Snowfeather] at @s run summon minecraft:armor_stand ~ ~ ~ {Invisible:1,Invulnerable:1,Marker:1,NoGravity:1,HandItems:[{id:"minecraft:bow",Count:1b}],Rotation:[90f,0f],Tags:["SceneActor","Scene_Bow"]}
execute if score Scene Clock matches 521..580 run execute as @e[tag=chapter3_Snowfeather] at @s run scoreboard players add @s Clock 1
execute if score Scene Clock matches 521..580 run execute as @e[tag=chapter3_Snowfeather] at @s run execute if score @s Clock matches 3.. run summon minecraft:villager 4153 154 4050 {Silent:1b,NoAI:1,Invulnerable:1,NoGravity:1,ActiveEffects:[{Id:11,Duration:2000000000,ShowParticles:0b}],ArmorItems:[{},{},{},{id:"minecraft:brick",Count:1b,tag:{CustomModelData:69}}],Rotation:[90f,-15f],Tags:["SceneActor","Scene_Arrow"]}
execute if score Scene Clock matches 521..580 run execute as @e[tag=chapter3_Snowfeather] at @s run execute if score @s Clock matches 3.. run scoreboard players set @s Clock 0
execute if score Scene Clock matches 521.. run execute as @e[tag=Scene_Arrow] at @s run function terra_chapter3:cutscene/area_outro/1_arrow_clock

#Stray gets hit and falls
execute if score Scene Clock matches 596 run execute as @e[tag=chapter3_Stray] at @s run data merge entity @s {NoAI:0,Motion:[-2d,0d,0d]}
execute if score Scene Clock matches 596..598 run execute as @e[tag=chapter3_Stray] at @s run playsound minecraft:entity.stray.hurt player @a ~ ~ ~ 10 0.75

#Stray pinned to wall
execute if score Scene Clock matches 631 run execute as @e[tag=chapter3_Stray] at @s run tp @s 4076 97 4052 -90 45
execute if score Scene Clock matches 631 run execute as @e[tag=chapter3_Stray] at @s run data merge entity @s {NoAI:1,ArmorItems:[{},{},{},{id:"minecraft:brick",Count:1,tag:{CustomModelData:3}}]}
execute if score Scene Clock matches 631 run kill @e[tag=Scene_Arrow]
execute if score Scene Clock matches 631 run summon minecraft:villager 4076 97 4052 {Silent:1b,NoAI:1,Invulnerable:1,NoGravity:1,ActiveEffects:[{Id:11,Duration:2000000000,ShowParticles:0b}],ArmorItems:[{},{},{},{id:"minecraft:brick",Count:1b,tag:{CustomModelData:69}}],Rotation:[90f,0f],Tags:["SceneActor","Scene_Arrow2"]}

#Move camera
execute if score Scene Clock matches 641 run execute as @e[tag=SceneCamera] at @s run tp @s 4079 98 4049 45 15

#Face Snowfeather and strider towards each other and nod
execute if score Scene Clock matches 711 run execute as @e[tag=chapter3_Snowfeather] at @s run tp @s ~ ~ ~ facing entity @e[tag=chapter3_Strider,limit=1,sort=nearest]
execute if score Scene Clock matches 711 run execute as @e[tag=chapter3_Strider] at @s run tp @s ~ ~ ~ facing entity @e[tag=chapter3_Snowfeather,limit=1,sort=nearest]
execute if score Scene Clock matches 731 run execute as @e[tag=chapter3_Snowfeather] at @s run function terra_system:animations/talk/start
execute if score Scene Clock matches 731 run execute as @e[tag=chapter3_Snowfeather] at @s run playsound minecraft:entity.villager.yes player @a ~ ~ ~ 10
execute if score Scene Clock matches 731 run execute as @e[tag=chapter3_Snowfeather] at @s run particle minecraft:happy_villager ~ ~1 ~ 1 1 1 0 100 force
execute if score Scene Clock matches 731 run execute as @e[tag=chapter3_Strider] at @s run function terra_system:animations/talk/start
execute if score Scene Clock matches 731 run execute as @e[tag=chapter3_Strider] at @s run playsound minecraft:entity.strider.happy player @a ~ ~ ~ 10
execute if score Scene Clock matches 731 run execute as @e[tag=chapter3_Strider] at @s run particle minecraft:happy_villager ~ ~1 ~ 1 1 1 0 100 force

#Move camera
execute if score Scene Clock matches 721 run execute as @e[tag=SceneCamera] at @s run tp @s 4151 155 4046 -20 20

#Move camera, strider, and snowfeather
execute if score Scene Clock matches 801 run execute as @e[tag=chapter3_Snowfeather] at @s run tp @s 4155 116 4043 -70 0
execute if score Scene Clock matches 801 run execute as @e[tag=chapter3_Strider] at @s run tp @s 4155 116 4045 -125 -25
execute if score Scene Clock matches 801 run execute as @e[tag=SceneCamera] at @s run tp @s 4153 117 4045 -115 25

#Open gate
execute if score Scene Clock matches 821 run execute as @e[tag=chapter3_Gate2] at @s run function terra_system:objects/gate/start

#Move camera
execute if score Scene Clock matches 451 run function terra_system:misc/camera_shake_start
execute if score Scene Clock matches 451..900 run execute as @e[tag=SceneCamera] at @s run function terra_system:misc/camera_shake_clock
execute if score Scene Clock matches 900 run function terra_system:misc/camera_shake_end




#Move cameras 2-3 to the left/right of camera 1
execute as @e[tag=SceneCamera2] at @e[tag=SceneCamera1] run tp @s ^1.0 ^ ^ ~ ~
execute as @e[tag=SceneCamera3] at @e[tag=SceneCamera1] run tp @s ^-1.0 ^ ^ ~ ~

#Teleport players to their cameras
scoreboard players add SceneSkipTeleport Clock 1
execute unless score SceneSkipTeleport Clock matches 20.. run execute as @e[tag=SceneCamera1] at @s run tp @a[scores={PlayerID=1}] ~ ~ ~ ~ ~
execute unless score SceneSkipTeleport Clock matches 20.. run execute as @e[tag=SceneCamera2] at @s run tp @a[scores={PlayerID=2}] ~ ~ ~ ~ ~
execute unless score SceneSkipTeleport Clock matches 20.. run execute as @e[tag=SceneCamera3] at @s run tp @a[scores={PlayerID=3..}] ~ ~ ~ ~ ~
execute if score SceneSkipTeleport Clock matches 20.. run scoreboard players set SceneSkipTeleport Clock 0

#End current scene
execute if score Scene Clock matches 900.. run data merge block ~ ~ ~ {Command:"function terra_chapter3:cutscene/area_outro/1_end_attempt"}














