#/function terra_chapter3:encounters/stray/start
#Created by Mithey

#Move player to correct location in adventure mode
gamemode adventure @a
data merge block 49 4 2 {Command:"tp @a[tag=TeleportAndSpawn] 4143 154 4050 -90 0"}
data merge block 50 4 2 {Command:"spawnpoint @a[tag=TeleportAndSpawn] 4143 154 4050 -90"}
tp @a 4143 154 4050 -90 0
spawnpoint @a 4143 154 4050 -90
function terra_system:on_spawn_change
#function terra_system:on_area_change

#Clear entities
execute as @e[tag=EntityNatural] at @s run tp @s ~ ~-500 ~
kill @e[tag=EntityNatural]

#Disable natural mob spawning temporarily
function terra_system:entities/natural_mob_spawning_disable

#Title
title @a times 20 60 60
title @a subtitle {"translate":"","extra":[{"translate":"terra.chapter3.encounter.stray_subtitle","italic":true}]}
title @a title {"translate":"","extra":[{"translate":"terra.chapter3.encounter.stray_title","color":"red"}]}

#Restore platform
setblock 4139 153 4039 minecraft:structure_block{posX:0,posY:0,posZ:0,mode:"LOAD",integrity:1.0f,name:"minecraft:boss_stray_platform1",ignoreEntities:1b}
setblock 4139 154 4039 minecraft:redstone_block
setblock 4139 154 4039 minecraft:air

#Summon in entities
execute positioned 4157 154 4050 run function terra_chapter3:entities/custom/stray/spawn

#Objective boss bar
bossbar set minecraft:200 name "Boss Health"
bossbar set minecraft:200 color pink
execute store result bossbar minecraft:200 value run scoreboard players get @e[tag=chapter3_BossStray,limit=1] EntityHpCurr
execute store result bossbar minecraft:200 max run scoreboard players get @e[tag=chapter3_BossStray,limit=1] EntityHpCurr
bossbar set minecraft:200 style notched_10
bossbar set minecraft:200 visible true

#Playsound
execute as @a at @s run playsound minecraft:entity.wither.spawn hostile @s ~ ~ ~ 30 0.8

#Music
function terra_system:music/set_song/ragnarok_fate_of_the_gods

#Objectives
scoreboard objectives add EncounterTime dummy
scoreboard objectives add EncounterDeath minecraft.custom:minecraft.deaths
scoreboard players set TerraRestore InEncounter 1
scoreboard objectives add BossHealth dummy
scoreboard objectives add BossSkelAdds dummy
scoreboard objectives add BossIcicles dummy
scoreboard objectives add BossFling dummy
scoreboard objectives add BossIcePlat dummy

#Heal player
execute as @a at @s run function terra_system:health/reset_health
execute as @a at @s run function terra_system:potions/refill_potion

#Start encounter clock
data merge block ~ ~ ~ {Command:"function terra_chapter3:encounters/stray/clock"}





