#/function terra_system:items/weapons/melee/blank
#Created by Mithey

#PARAMETERS:
#DontDisplayMessage Temp - Don't display equip message
#DontMakeSound Temp - Don't make sound on equipping
#WeaponSlot Temp - Slot weapon should be equipped to - default = 1

execute unless score DontDisplayMessage Temp matches 1 run title @s actionbar {"translate":"","extra":[{"translate":"["},{"translate":"","color":"white","bold":true},{"translate":"] "},{"translate":"terra.items.equipped"}]}
execute unless score DontMakeSound Temp matches 1 run playsound minecraft:item.armor.equip_diamond player @a

#Set attributes
execute unless score Method Temp matches 1.. run execute unless score WeaponSlot Temp matches 2.. run function terra_system:stats/reset_stats_weapon1
execute unless score Method Temp matches 1.. run execute if score WeaponSlot Temp matches 2 run function terra_system:stats/reset_stats_weapon2

execute unless score Method Temp matches 1.. run execute unless score WeaponSlot Temp matches 2.. run scoreboard players set @s HealthWeapon1 0
execute unless score Method Temp matches 1.. run execute if score WeaponSlot Temp matches 2 run scoreboard players set @s HealthWeapon2 0

execute unless score Method Temp matches 1.. run execute unless score WeaponSlot Temp matches 2.. run scoreboard players set @s SpiritWeapon1 0
execute unless score Method Temp matches 1.. run execute if score WeaponSlot Temp matches 2 run scoreboard players set @s SpiritWeapon2 0

execute unless score Method Temp matches 1.. run execute unless score WeaponSlot Temp matches 2.. run scoreboard players set @s StamWeapon1 0
execute unless score Method Temp matches 1.. run execute if score WeaponSlot Temp matches 2 run scoreboard players set @s StamWeapon2 0

execute unless score Method Temp matches 1.. run execute unless score WeaponSlot Temp matches 2.. run scoreboard players set @s OffenseWeapon1 0
execute unless score Method Temp matches 1.. run execute if score WeaponSlot Temp matches 2 run scoreboard players set @s OffenseWeapon2 0

execute unless score Method Temp matches 1.. run execute unless score WeaponSlot Temp matches 2.. run scoreboard players set @s DefenseWeapon1 0
execute unless score Method Temp matches 1.. run execute if score WeaponSlot Temp matches 2 run scoreboard players set @s DefenseWeapon2 0

execute unless score Method Temp matches 1.. run execute unless score DontDisplayMessage Temp matches 1 run function terra_system:stats/calculate_stats
execute unless score Method Temp matches 1.. run execute if score DontDisplayMessage Temp matches 1 run function terra_system:stats/calculate_stats_no_message

#Clear all current weapons
execute unless score WeaponSlot Temp matches 2.. run scoreboard players set @s IDWeaponSlot1 0
execute if score WeaponSlot Temp matches 2 run scoreboard players set @s IDWeaponSlot2 0
function terra_system:items/weapons/clear_weapons

#Weapon ID
execute unless score Method Temp matches 1.. run execute unless score WeaponSlot Temp matches 2.. run scoreboard players set @s IDWeaponSlot1 0
execute unless score Method Temp matches 1.. run execute if score WeaponSlot Temp matches 2 run scoreboard players set @s IDWeaponSlot2 0

#...

#Clean up
scoreboard players reset DontDisplayMessage Temp
scoreboard players reset DontMakeSound Temp
scoreboard players reset WeaponSlot Temp









